Bug 1794877 (goodvibes) - Review Request: goodvibes - Lightweight Radio PlayerLightweight Radio Player
Summary: Review Request: goodvibes - Lightweight Radio PlayerLightweight Radio Player
Keywords:
Status: CLOSED ERRATA
Alias: goodvibes
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-25 00:28 UTC by Robert-André Mauchin 🐧
Modified: 2020-02-15 02:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-15 02:17:18 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2020-01-25 00:28:54 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/goodvibes.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/goodvibes-0.5-1.fc32.src.rpm

Description:
Goodvibes is an Internet radio player for GNU/Linux. It aims to be light, simple, straightforward.Goodvibes is an Internet radio player for GNU/Linux. It aims to be light, simple, straightforward.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 🐧 2020-01-25 00:33:30 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=40971916

Comment 2 Jared Smith 2020-01-25 19:58:39 UTC
Please make sure the spec file specified in the URL matches the spec file in the SRPM, but otherwise the package is APPROVEd.

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License (v3)", "GPL (v3 or later)". 103 files have unknown license.
     Detailed output of licensecheck in
     /home/jsmith/Documents/Fedora/Reviews/1794877-goodvibes/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/share/dbus-1/services
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/doc/goodvibes(defaulting, locale,, C, set, to, Failed),
     /usr/share/licenses/goodvibes(defaulting, locale,, C, set, to, Failed)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: goodvibes-0.5-1.fc32.x86_64.rpm
          goodvibes-debuginfo-0.5-1.fc32.x86_64.rpm
          goodvibes-debugsource-0.5-1.fc32.x86_64.rpm
          goodvibes-0.5-1.fc32.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: goodvibes-debuginfo-0.5-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
goodvibes-debuginfo.x86_64: W: invalid-url URL: https://goodvibes.readthedocs.io/en/stable/index.html <urlopen error [Errno -2] Name or service not known>
goodvibes-debugsource.x86_64: W: invalid-url URL: https://goodvibes.readthedocs.io/en/stable/index.html <urlopen error [Errno -2] Name or service not known>
goodvibes.x86_64: W: invalid-url URL: https://goodvibes.readthedocs.io/en/stable/index.html <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://gitlab.com/goodvibes/goodvibes/-/archive/v0.5/goodvibes-v0.5.tar.bz2 :
  CHECKSUM(SHA256) this package     : 73e84bfabfe02f71de63620a233b13d44aeb8835179cdba53a85969e2735058f
  CHECKSUM(SHA256) upstream package : 73e84bfabfe02f71de63620a233b13d44aeb8835179cdba53a85969e2735058f


Requires
--------
goodvibes (rpmlib, GLIBC filtered):
    dconf
    gstreamer1-plugins-ugly-free
    libamtk-5.so.0()(64bit)
    libc.so.6()(64bit)
    libgdk-3.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstaudio-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libkeybinder-3.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    rtld(GNU_HASH)

goodvibes-debuginfo (rpmlib, GLIBC filtered):

goodvibes-debugsource (rpmlib, GLIBC filtered):



Provides
--------
goodvibes:
    application()
    application(io.gitlab.Goodvibes.desktop)
    goodvibes
    goodvibes(x86-64)
    metainfo()
    metainfo(io.gitlab.Goodvibes.appdata.xml)
    mimehandler(audio/*)

goodvibes-debuginfo:
    debuginfo(build-id)
    goodvibes-debuginfo
    goodvibes-debuginfo(x86-64)

goodvibes-debugsource:
    goodvibes-debugsource
    goodvibes-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/jsmith/Documents/Fedora/Reviews/1794877-goodvibes/srpm/goodvibes.spec	2020-01-25 08:25:30.889950105 -0500
+++ /home/jsmith/Documents/Fedora/Reviews/1794877-goodvibes/srpm-unpacked/goodvibes.spec	2020-01-24 19:20:43.000000000 -0500
@@ -21,5 +21,4 @@
 Requires:       dconf
 Requires:       gstreamer1-plugins-ugly-free
-Requires:       hicolor-icon-theme
 
 %description


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1794877
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: PHP, Perl, Python, fonts, Java, R, Haskell, SugarActivity, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Robert-André Mauchin 🐧 2020-01-25 22:53:41 UTC
Thanks a lot for the review!

Comment 4 Gwyn Ciesla 2020-01-27 14:24:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/goodvibes

Comment 5 Fedora Update System 2020-01-27 20:13:28 UTC
FEDORA-2020-60e89966bf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-60e89966bf

Comment 6 Fedora Update System 2020-01-31 01:29:00 UTC
goodvibes-0.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-010aa9bd39

Comment 7 Fedora Update System 2020-01-31 02:25:30 UTC
goodvibes-0.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-60e89966bf

Comment 8 Fedora Update System 2020-02-07 02:44:49 UTC
goodvibes-0.5.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6dcc862fc8

Comment 9 Fedora Update System 2020-02-15 02:17:18 UTC
goodvibes-0.5.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-15 02:54:21 UTC
goodvibes-0.5.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.